Bug 913340 (CVE-2013-0315) - CVE-2013-0315 GateIn Portal: XML eXternal Entity (XXE) flaw in site import
Summary: CVE-2013-0315 GateIn Portal: XML eXternal Entity (XXE) flaw in site import
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-0315
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 913342 913343 913584
Blocks: 913355
TreeView+ depends on / blocked
 
Reported: 2013-02-21 02:23 UTC by David Jorm
Modified: 2021-02-17 08:00 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-07 19:18:38 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0613 0 normal SHIPPED_LIVE Important: JBoss Enterprise Portal Platform 5.2.2 security update 2013-03-08 00:07:17 UTC

Description David Jorm 2013-02-21 02:23:18 UTC
The GateIn Portal Export / Import Gadget is vulnerable to XXE (XML eXternal Entity) attacks. If the XML provided to the import gadget contains an external XML entity, this XML entity will be resolved. A remote attacker who can access the import gadget could use this flaw to read files in the context of the user running the application server.

Comment 2 Vincent Danen 2013-02-22 00:00:27 UTC
Acknowledgements:

This issue was discovered by Arun Neelicattu and David Jorm of the Red Hat Security Response Team.

Comment 4 errata-xmlrpc 2013-03-07 19:08:15 UTC
This issue has been addressed in following products:

  JBoss Enterprise Portal Platform 5.2.2

Via RHSA-2013:0613 https://rhn.redhat.com/errata/RHSA-2013-0613.html


Note You need to log in before you can comment on or make changes to this bug.